<?php
// WizyTówka - admin/podstrony.php
if ( !defined('WT') ) exit();

if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

  if ( $_POST['utworz_podstrone'] ) {
    if ( !empty($_POST['tytul_podstrony']) or !empty($_POST['typ_podstrony']) ) {
      if ( !sprawdz_nazwe ($_POST['tytul_podstrony']) )
        $admin_naglowek['komunikat'] = 'zle.Podana nazwa jest nieprawidłowa.';
      else {
        $identyfikator = prosta_nazwa ($_POST['tytul_podstrony']);
        if ( file_exists( DANE . '/podstrony/' . $identyfikator . '.wts' ) )
          $admin_naglowek['komunikat'] = 'zle.Strona o podanej nazwie już istnieje.';
        else {
          unset($_POST['utworz_podstrone']);
          zapis_podstrona ( $identyfikator , $_POST );
          $admin_naglowek['komunikat'] = 'dob.Podstrona została utworzona.';
        }
      }
    }
    else
      $admin_naglowek['komunikat'] = 'zle.Nie podano tytułu podstrony.';
  }
  
  if ( $_POST['usun_podstrone'] ) {
    if ( !empty($_POST['usuwana_podstrona']) ) {
      usun_plik ( DANE . '/podstrony/' . $_POST['usuwana_podstrona'] . '.wts' );
      if ( file_exists( DANE . '/podstrony/' . $_POST['usuwana_podstrona'] . '.wtz' ) )
        usun_plik ( DANE . '/podstrony/' . $_POST['usuwana_podstrona'] . '.wtz' );
      $menu_dotychczasowe = odczyt_konf('menu');
      if ( !empty($menu_dotychczasowe) ) {
        foreach ( $menu_dotychczasowe['menu_glowne'] as $element ) {
          if ( $element != $_POST['usuwana_podstrona'] )
            $menu_nowe['menu_glowne'][] = $element;
        }
        foreach ( $menu_dotychczasowe['menu_dodatkowe'] as $element ) {
          if ( $element != $_POST['usuwana_podstrona'] )
            $menu_nowe['menu_dodatkowe'][] = $element;
        }
      }
      zapis_konf('menu',$menu_nowe);
      $admin_naglowek['komunikat'] = 'dob.Podstrona została usunięta.';
    }
    else
      $admin_naglowek['komunikat'] = 'zle.Nie wskazano usuwanej podstrony.';
  }

  if ( odczyt_konf('ustawienia','generuj_mape_strony') )
    sitemapa();
}

$admin_naglowek['tytul'] = 'Podstrony';
include('_naglowek.php');
?>

<form method="post">

<table>

<caption>Istniejące podstrony</caption>

<tr> <th>Nazwa</th> <th>Identyfikator</th> <th class="waska-kolumna">Usuwanie</th> </tr>

<?php
$tablica = wszystkie_podstrony();

if ( count($tablica) == 0 )
  echo '<tr> <td colspan="3">Brak podstron.</td> </tr>';
else {
  foreach ( $tablica as $id_podstrony ) {
    $podstrona = odczyt_podstrona( $id_podstrony, false );
    echo '<tr> <td><a href="?a=edycja&b='.$id_podstrony.'&kod='.$kod.'">'.$podstrona['tytul_podstrony'].'</a></td> <td>'.$id_podstrony.'</td> <td class="waska-kolumna"><input type="radio" name="usuwana_podstrona" value="'.$id_podstrony.'" /></td> </tr>'."\n";
  }
}
?>

<tr> <td colspan="2"></td> <td class="waska-kolumna"><input type="submit" value="Usuń" onclick="return confirm('Czy na pewno chcesz usunąć podstronę?\nTa operacja jest nieodwracalna.')" /></td> </tr>

</table>

<input type="hidden" name="usun_podstrone" value="1" />

</form>

<form method="post">

<table>

<caption>Tworzenie nowej podstrony</caption>

<tr> <td>Tytuł podstrony:</td> <td><input type="text" name="tytul_podstrony" /></td> </tr>
<tr> <td>Typ podstrony:</td> <td>

<select name="typ_podstrony">
<?php 
$typy_system = glob ( SYSTEM . '/typy/*.wtt' );
$typy_system = array_map ( 'basename', $typy_system );
foreach ( $typy_system as $numer => $element ) {
  $typy_system[$numer] = 's_' . substr ( $element, 0, strlen($element)-4 );
  $typ = odczyt_typ ( $typy_system[$numer] );
  $typy_system_nazwy[$numer] = $typ['nazwa_typu'];
}

$typy_dane = glob ( DANE . '/typy/*.wtt' );
if ( !empty($typy_dane) ) {
  $typy_dane = array_map ( 'basename', $typy_dane );
  foreach ( $typy_dane as $numer => $element ) {
    $typy_dane[$numer] = 'd_' . substr ( $element, 0, strlen($element)-4 );
    $typ = odczyt_typ ( $typy_dane[$numer] );
    $typy_dane_nazwy[$numer] = $typ['nazwa_typu'];
  }
}

echo '<optgroup label="Wbudowane">';
generuj_optgroup ($typy_system_nazwy,$typy_system);
echo '</optgroup>';

if ( !empty($typy_dane) ) {
  echo '<optgroup label="Własne">';
  generuj_optgroup ($typy_dane_nazwy,$typy_dane);
  echo '</optgroup>';
}
?>
</select>

</td> </tr>

</table>

<input type="hidden" name="utworz_podstrone" value="1" />

<p class="submit">
<input type="submit" value="Utwórz podstronę" />
</p>

</form>

<?php
include('_stopka.php');